## juju-core 1.24.6

=== debian/changelog ===
juju-core (1.24.6-0ubuntu3) wily; urgency=medium

  * Fix fake-future dep8 tests:
    - Correct the date format string so it uses months as intended
      instead of generating invalid dates. Thanks to Colin Watson.
    - Fix /etc/os-release generation when the faked release is an LTS:
      VERSION_ID should not contain "LTS".

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Oct 2015 17:07:29 +0000

juju-core (1.24.6-0ubuntu2) wily; urgency=medium

  * Updates to support MIR in Ubuntu:
    - d/control: Add BD's on go.crypto, go.net, juju-loggo,
      github-bmizerany-pat and go-dbus golang-*-dev packages.
    - d/rules: Tweak GOPATH configuration and link in any shared go
      dependencies from /usr/share/gocode to ensure that distribution
      -dev packages are preferred over embedded copies in juju source.
    - d/control,rules: Add BD on dh-golang, enable Built-Using field to
      ensure -dev dependencies can be tracked effectively.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Oct 2015 22:43:27 +0100

juju-core (1.24.6-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1481556).
  * d/copyright updated for Juju 1.24.6 (Last verified commit changes).
  * d/tests/* Run tests with upstart when Juju version before 1.23.
  * Prefer gccgo-5 for ppc64el and arm64 in build-deps.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Wed, 22 Sep 2015 15:27:01 +0000

juju-core (1.22.6-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.
  * d/copyright updated for Juju 1.22.6 (Last verified commit changes).

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 25 Jun 2015 18:25:00 +0000

juju-core (1.22.5-0ubuntu2) wily; urgency=medium

  * Add distro-info to build-depends because juju's list of series can
    be stale.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Mon, 15 Jun 2015 17:54:22 +0000

juju-core (1.22.5-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (Lp: #1462001).
  * d/copyright: Updated to reflect changes in the codebase.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 05 Jun 2015 17:40:37 +0000
