=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-golang,
               distro-info,
               gccgo-5 [!amd64 !i386 !armhf] | gccgo-go [!amd64 !i386 !armhf],
               golang-github-bmizerany-pat-dev,
               golang-go (>= 2:1.2) [amd64 i386 armhf],
               golang-go-dbus-dev,
               golang-go.crypto-dev,
               golang-go.net-dev,
               golang-juju-loggo-dev,
               lsb-release,
               python
Standards-Version: 3.9.6
Homepage: http://launchpad.net/juju-core
XS-Testsuite: autopkgtest

Package: juju-core
Architecture: any
Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: bash-completion
Conflicts: juju (<< 0.7-0ubuntu1~)
Built-Using: ${misc:Built-Using}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: all
Depends: juju-core (>= ${source:Version}), ${misc:Depends}
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.

Package: juju-local
Architecture: all
Depends: cloud-image-utils | cloud-utils,
         cpu-checker,
         dbus,
         juju-core (>= ${source:Version}),
         lxc (>=1.0.0~alpha1-0ubuntu14),
         lxc-templates,
         rsyslog-gnutls,
         ${dist:Depends},
         ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using LXC containers.

Package: juju-local-kvm
Architecture: all
Depends: cpu-checker,
         dbus,
         juju-core (>= ${source:Version}),
         rsyslog-gnutls,
         uvtool,
         uvtool-libvirt,
         ${dist:Depends},
         ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using KVM containers.
