=== debian/tests/control ===
Tests: client
Depends: juju
Restrictions: allow-stderr

Tests: init-system-local-provider init-system-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

Tests: future-local-provider future-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root
