## juju-core 1.24.7

=== debian/changelog ===
juju-core (1.24.7-0ubuntu1~15.04.1) vivid; urgency=medium

  * New upstream microrelease. (Lp: #1506652)
  * Update dep8 tests from Xenial.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 16 Oct 2015 17:52:18 +0000

juju-core (1.24.6-0ubuntu1~15.04.1) vivid; urgency=medium

  * Backport of 1.24.6 from wily. (LP: #1500916, #1497087)

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Tue, 29 Sep 2015 19:43:29 +0000
