## juju-core 1.25.5

=== debian/changelog ===
juju-core (1.25.5-0ubuntu3~15.10.1) wily; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 15.10 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Wed, 11 May 2016 18:21:51 +0000

juju-core (1.25.0-0ubuntu1~15.10.1) wily; urgency=medium

  * No change backport to 15.10 (LP: #1510565).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 29 Oct 2015 11:25:46 +0000

juju-core (1.25.0-0ubuntu1) xenial; urgency=medium

  * New upstream release (Lp: #1510565).
  * d/copyright updated for Juju 1.25.0 (Last verified commit changes).
  * d/tests/* Removed init-system switch because Juju supports upstart
    and systemd. Do not test future on non-systemd releases.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 23 Oct 2015 18:30:04 +0000
