=== debian/control ===
--- 
+++ 
@@ -3,9 +3,15 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
+               dh-golang,
                distro-info,
                gccgo-5 [!amd64 !i386 !armhf] | gccgo-go [!amd64 !i386 !armhf],
+               golang-github-bmizerany-pat-dev,
                golang-go (>= 2:1.2) [amd64 i386 armhf],
+               golang-go-dbus-dev,
+               golang-go.crypto-dev,
+               golang-go.net-dev,
+               golang-juju-loggo-dev,
                lsb-release,
                python
 Standards-Version: 3.9.6
@@ -16,7 +22,8 @@
 Architecture: any
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
-Conflicts: juju (<< 0.7-0ubuntu1~)
+Conflicts: juju (<< 0.7-0ubuntu1~), juju-1
+Built-Using: ${misc:Built-Using}
 Description: Juju is devops distilled - client
  Through the use of charms, juju provides you with shareable, re-usable,
  and repeatable expressions of devops best practices. You can use them
