=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: juju
 Restrictions: allow-stderr
 
-Tests: init-system-local-provider init-system-manual-provider
+Tests: current-local-provider current-manual-provider
 Depends: juju, juju-local, sudo
 Restrictions: allow-stderr breaks-testbed isolation-machine needs-root
