=== debian/changelog ===
juju-core (1.25.6-0ubuntu1.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 16:37:56 -0700

juju-core (1.25.6-0ubuntu1.14.04.1) trusty-proposed; urgency=medium

  * New 1.25.6 upstream release. (LP: #1611855)
  
 -- Martin Packman <martin.packman@canonical.com>  Tue, 26 Jul 2016 19:03:51 +0000

juju-core (1.25.5-0ubuntu3~14.04.1) trusty; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 14.04 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 13 May 2016 13:34:09 +0000

juju-core (1.24.7-0ubuntu1~14.04.1) trusty; urgency=medium

  [ Curtis C. Hovey ]
  * Backport of 1.24.7 from vivid. (Lp: #1506652)

  [ Robie Basak ]
  * This upload results in the following packaging delta from the previous
    1.22.8-0ubuntu1~14.04.1 in trusty-updates:
    - d/copyright: updated.
    - d/control: gccgo-5 [!amd64 !i386 !armhf] now preferred over gccgo-go
      [!amd64 !i386 !armhf], which is a no-op on Trusty since gccgo-5 doesn't
      exist in Trusty. This minimises the backport delta.
    - d/tests: dep8 tests updated from Xenial.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 16 Oct 2015 19:20:29 +0000
