=== src/github.com/juju/romulus/Makefile ===

PROJECT := github.com/juju/romulus

check-licence:
	@(fgrep -rl "Licensed under the AGPL" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check: check-licence
	go test $(PROJECT)/...
