=== debian/changelog ===
juju-core (2.0~beta4-0ubuntu2) xenial; urgency=medium

  * Update debian/tests/ to work in the production network environment
    (LP: #1571082). 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Apr 2016 21:20:58 +1200

juju-core (2.0~beta4-0ubuntu1) xenial; urgency=medium

  * New upstream release 2.0-beta4.
  * Add juju-2.0 recommend on lxd.
  * Fix and update debian/tests for required lxd manual configuration.

 -- Martin Packman <martin.packman@canonical.com>  Thu, 14 Apr 2016 22:10:51 +0000

juju-core (2.0~beta3-0ubuntu3) xenial; urgency=medium

  * Correctness tweaks to juju-2.0 wrapper script.
  * Use globs in lintian-overrides to avoid need for build time creation.

 -- Martin Packman <martin.packman@canonical.com>  Thu, 07 Apr 2016 11:31:36 +0000

juju-core (2.0~beta3-0ubuntu2) xenial; urgency=medium

  * Add symlink for jujud

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 04 Apr 2016 14:20:18 -0400

juju-core (2.0~beta3-0ubuntu1) xenial; urgency=medium

  [ Nicholas Skaggs ]
  * d/control:
    - Add additional dependencies for go libraries.

  [ Curtis C. Hovey ]
  * d/control:
    - Renamed the binary package juju-core to juju-2.0.
    - Dropped unneeded juju-local* package.
  * d/rules:
    - Renamed the binary package juju-core to juju-2.0.
    - Updated rules to 2.x.
    - Additional path/name changes to support co-installability with
      the 1.x juju-core package.
  * d/tests/*:
    - Replaced local-provider tests with lxd tests.

  [ Martin Packman ]
  * New upstream release 2.0-beta3 (LP: #1545913).
  * Make juju metapackage depend on transitional juju-core package
    for smoother juju 1.25 upgrades.
  * d/copyright:
    - Updated per changes to embedded dependencies.
  * d/rules:
    - Remove juju-restore binary.

 -- Martin Packman <martin.packman@canonical.com>  Fri, 01 Apr 2016 20:23:39 +0000

juju-core (1.25.4-0ubuntu1) xenial; urgency=medium

  * New upstream release (Lp: 1556981).
  * Removed patches fixed upstream.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Mon, 14 Mar 2016 14:27:13 +0000

juju-core (1.25.0-0ubuntu3) xenial; urgency=medium

  * Add a patch to pass ImageStream config down to ubuntu-cloudimg-query
    tool. https://github.com/juju/juju/pull/4480

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Feb 2016 10:18:51 +0000

juju-core (1.25.0-0ubuntu2) xenial; urgency=medium

  * Use golang-go on ppc64el and s390x, 32-bit powerpc is now the only one
    using gccgo.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Feb 2016 18:19:19 +0000
