=== debian/tests/control ===
Tests: client
Depends: @
Restrictions: allow-stderr

Tests: current-lxd-provider future-lxd-provider
Depends: @, lxd, lxd-client, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

Tests: current-manual-provider future-manual-provider
Depends: @, openssh-client, openssh-server, sudo
Restrictions: allow-stderr breaks-testbed isolation-container needs-root
