=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
 https://launchpad.net/juju-core/+download https://launchpad.net/juju-core/.*/.*/.*/juju-core_(.*)\.tar\.gz
